package com.pj.tb_collage_orders;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_collage_orders -- 拼单订单表
 * @author linbl
 */
@RestController
@RequestMapping("/TbCollageOrders/")
public class TbCollageOrdersController {

	/** 底层 Service 对象 */
	@Autowired
	TbCollageOrdersService tbCollageOrdersService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(TbCollageOrders.PERMISSION_CODE_ADD)
	public AjaxJson add(TbCollageOrders t){
		tbCollageOrdersService.add(t);
		t = tbCollageOrdersService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(TbCollageOrders.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbCollageOrdersService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbCollageOrders.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(TbCollageOrders.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(TbCollageOrders.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbCollageOrders t){
		tbCollageOrdersService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(TbCollageOrders.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbCollageOrders t = tbCollageOrdersService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(TbCollageOrders.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<TbCollageOrders> list = tbCollageOrdersService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
